CatalinaClusterSF (Tomcat API Documentation)
Keywords: org.apache.catalina.storeconfig.CatalinaClusterSF class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.storeconfig
Class CatalinaClusterSF

    java.lang.Object
      org.apache.catalina.storeconfig.StoreFactoryBase
          org.apache.catalina.storeconfig.CatalinaClusterSF

All Implemented Interfaces:
  IStoreFactory

public class CatalinaClusterSF
extends StoreFactoryBase

Generate Cluster Element with Membership,Sender,Receiver,Deployer and ReplicationValve

Author:
  Peter Rossbach

Field Summary

Fields inherited from class org.apache.catalina.storeconfig.StoreFactoryBase
`sm`

Constructor Summary
`CatalinaClusterSF()`

Method Summary
`void` | `storeChilds(java.io.PrintWriter aWriter, int indent, java.lang.Object aCluster, StoreDescription parentDesc)` Store the specified Cluster childs.

Methods inherited from class org.apache.catalina.storeconfig.StoreFactoryBase
`getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, store, storeElement, storeElementArray, storeXMLHead`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CatalinaClusterSF

    public CatalinaClusterSF()

Method Detail

### storeChilds

    public void storeChilds(java.io.PrintWriter aWriter,
                            int indent,
                            java.lang.Object aCluster,
                            StoreDescription parentDesc)
                     throws java.lang.Exception

  Store the specified Cluster childs.

  Overrides:
    `storeChilds` in class `StoreFactoryBase`
  Parameters:
    `aWriter` - PrintWriter to which we are storing
    `indent` - Number of spaces to indent this element
    `aCluster` - Cluster whose properties are being stored
    `parentDesc` -
  Throws:
    `java.lang.Exception` - if an exception occurs while storing

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.